Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2758063002: Image Capture: cache constraints and append them to MediaStreamTrack.getConstraints() (Closed)

Created:
8 months ago by mcasas
Modified:
8 months ago
Reviewers:
Guido Urdaneta, leclair329, Reilly Grant (use Gerrit)
CC:
chromium-reviews, blink-reviews, haraken, tommyw+watchlist_chromium.org, mcasas+imagecapture_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Image Capture: cache constraints and append them to MediaStreamTrack.getConstraints() This CL teaches Image Capture to cache the constraints passed via applyConstraints() and wires MediaStreamTrack::getConstraints() to append those upon request. Note that constraints are accumulative, i.e. two calls to applyConstraints() with different constraints will essentially be understood by the platform as a single applyConstraints() call with the constraint dictionaries merged. (Also moved MediaStreamTrack::getConstraints() to follow the declaration order in MediaStreamTrack.h). Added LayoutTests. BUG=700607 Review-Url: https://codereview.chromium.org/2758063002 Cr-Commit-Position: refs/heads/master@{#458183} Committed: https://chromium.googlesource.com/chromium/src/+/726f6720d94c103683515f9887082a4c9376d133

Patch Set 1 : #

Total comments: 4

Patch Set 2 : reillyg@s comments #

Total comments: 7

Patch Set 3 : guidou@ TODO()s #

Unified diffs Side-by-side diffs Delta from patch set Stats (+133 lines, -19 lines) Patch
A third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html View 1 chunk +67 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/imagecapture/ImageCapture.h View 3 chunks +4 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/imagecapture/ImageCapture.cpp View 5 chunks +30 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp View 1 2 3 chunks +32 lines, -10 lines 0 comments Download

Messages

Total messages: 26 (13 generated)
mcasas
reillyg@ ptal guidou@ ptal at the mediastream/ part plz
8 months ago (2017-03-18 00:45:17 UTC) #5
Reilly Grant (use Gerrit)
https://codereview.chromium.org/2758063002/diff/30001/third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp File third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp (right): https://codereview.chromium.org/2758063002/diff/30001/third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp#newcode233 third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp:233: // Add the image capture constraints as another entry ...
8 months ago (2017-03-18 01:17:13 UTC) #6
mcasas
ptal https://codereview.chromium.org/2758063002/diff/30001/third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp File third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp (right): https://codereview.chromium.org/2758063002/diff/30001/third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp#newcode233 third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp:233: // Add the image capture constraints as another ...
8 months ago (2017-03-18 01:26:00 UTC) #8
Reilly Grant (use Gerrit)
lgtm
8 months ago (2017-03-18 01:50:05 UTC) #9
Guido Urdaneta
https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html File third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html (right): https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html#newcode38 third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html:38: const constraintsIn = { advanced : [ c ]}; ...
8 months ago (2017-03-19 13:53:12 UTC) #10
LeClair329_gmail.com
8 months ago (2017-03-19 17:26:15 UTC) #12
mcasas
https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html File third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html (right): https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html#newcode38 third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html:38: const constraintsIn = { advanced : [ c ]}; ...
8 months ago (2017-03-19 20:37:40 UTC) #14
Guido Urdaneta
lgtm, but add extra comments. https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html File third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html (right): https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html#newcode38 third_party/WebKit/LayoutTests/fast/imagecapture/MediaStreamTrack-getConstraints.html:38: const constraintsIn = { ...
8 months ago (2017-03-20 09:17:35 UTC) #15
mcasas
https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp File third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp (right): https://codereview.chromium.org/2758063002/diff/50001/third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp#newcode234 third_party/WebKit/Source/modules/mediastream/MediaStreamTrack.cpp:234: if (constraints.hasAdvanced()) On 2017/03/20 09:17:35, Guido Urdaneta wrote: > ...
8 months ago (2017-03-20 16:45:56 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758063002/70001
8 months ago (2017-03-20 16:46:20 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/412248)
8 months ago (2017-03-20 19:23:28 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2758063002/70001
8 months ago (2017-03-20 19:42:31 UTC) #23
commit-bot: I haz the power
8 months ago (2017-03-20 21:11:02 UTC) #26
Message was sent while issue was closed.
Committed patchset #3 (id:70001) as
https://chromium.googlesource.com/chromium/src/+/726f6720d94c103683515f988708...

Powered by Google App Engine
This is Rietveld efc10ee0f